Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  erstes programm

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   erstes programm (1248 mal gelesen)
Neu Einsteiger
Mitglied


Sehen Sie sich das Profil von Neu Einsteiger an!   Senden Sie eine Private Message an Neu Einsteiger  Schreiben Sie einen Gästebucheintrag für Neu Einsteiger

Beiträge: 9
Registriert: 30.10.2008

erstellt am: 30. Okt. 2008 08:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

ich habe erst vor kurzem begonnen mit autocad zu arbeiten und soll jetzt ein programmschreiben welches folgende schritte durchfüren soll

als 1. soll es den grenzen zoom durchführen
2. danach soll es den globalen skallierungs facktor der linien auf 10 erhöhen
3. soll der von den express tools durchgeführte befehl overkill durchgeführt werden dazu muss das kommplette projekt markiert werden
4. soll eskurz zwischen dem modell und layout1 fenster wechseln und wieder zurück

und das habe ich bis jetzt geschafft


(defun auto()
(progn
  (command "_zoom")
  (command "_e")
  (command "_LTScale" 10)
  (command "_pasteclip")
  (command "0,0")
;hier fehlt der auswahl befehl
    (c: overkill)""
    (progn
    (command "_layout")
    (command "_set")
    (command "Layout1")
    (command "_layout")
    (command "_set")
    (command "Modell")
    )
)
)

funktioniert eigentlich soweit bis auf die kommplette auswahl und der overkill befehl

hoffentlich könnt ihr mir helfen und vielleicht auch ein paar tips geben

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 30. Okt. 2008 09:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Neu Einsteiger 10 Unities + Antwort hilfreich

Hallo,
füge mal folgendes ein:
(command "_.pselect" (ssget "X") "")

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Neu Einsteiger
Mitglied


Sehen Sie sich das Profil von Neu Einsteiger an!   Senden Sie eine Private Message an Neu Einsteiger  Schreiben Sie einen Gästebucheintrag für Neu Einsteiger

Beiträge: 9
Registriert: 30.10.2008

erstellt am: 30. Okt. 2008 09:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

funktioniert leider nich er sagt dann immer

Befehl: _.pselect Unbekannter Befehl "PSELECT". Drücken Sie F1-Taste für Hilfe.
Befehl: <Auswahlsatz: 29>

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Ex-Mitglied
Neu Einsteiger
Mitglied


Sehen Sie sich das Profil von Neu Einsteiger an!   Senden Sie eine Private Message an Neu Einsteiger  Schreiben Sie einen Gästebucheintrag für Neu Einsteiger

Beiträge: 9
Registriert: 30.10.2008

erstellt am: 30. Okt. 2008 10:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

danke

aber das funktioniert jetzt nur soweit das er alles makriert aber dann noch nachweitern ojeckten fargt was er nich soll und wenn ich enter drücke übergeht er den overkill befehel

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 893
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 30. Okt. 2008 10:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Neu Einsteiger 10 Unities + Antwort hilfreich

mal als Idee
ungetestet

(sssetfirst nil (ssget "_x"))(c:-overkill)

mfg heiko

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 30. Okt. 2008 10:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Neu Einsteiger 10 Unities + Antwort hilfreich

Hallo Neu Einsteiger,

Zitat:
Befehl: _.pselect Unbekannter Befehl "PSELECT". Drücken Sie F1-Taste für Hilfe.
Befehl: <Auswahlsatz: 29>

Seltsam, genau das hatte ich eben auch. Dann habe ich das Eigenschaftenfenster eigeschaltet und wieder aus, und dann geht es wieder.

Weiß irgenwer, wie der Befehl "PSELECT" und das Eingeschaftenfenster zusammenhängen???

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Neu Einsteiger
Mitglied


Sehen Sie sich das Profil von Neu Einsteiger an!   Senden Sie eine Private Message an Neu Einsteiger  Schreiben Sie einen Gästebucheintrag für Neu Einsteiger

Beiträge: 9
Registriert: 30.10.2008

erstellt am: 30. Okt. 2008 10:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

super funzt danke

muss jetzt aber trozdem noch beim overkill befel enter drücken gibs da noch ne möglichkeit das zu umgehen?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 893
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 30. Okt. 2008 10:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Neu Einsteiger 10 Unities + Antwort hilfreich

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 30. Okt. 2008 10:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Neu Einsteiger 10 Unities + Antwort hilfreich

@joern
ich nutze pselect SEHR häufig wenn ich denn mal so am "arbeiten" bin 
Ic hhatte schon ab und an mal das zweifelhafte Vergnügen das mir die
funktion, warum auch immer, nicht zur Verfügung  stand !
(Wenn es wieder vorkommt werde ich mal das Eigenschaftenfenster schließen&öffnen  )

------------------
die alte SUCHfunktion.. - System-Angaben - User:FAQ(Adesk)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Neu Einsteiger
Mitglied


Sehen Sie sich das Profil von Neu Einsteiger an!   Senden Sie eine Private Message an Neu Einsteiger  Schreiben Sie einen Gästebucheintrag für Neu Einsteiger

Beiträge: 9
Registriert: 30.10.2008

erstellt am: 30. Okt. 2008 10:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

dein befehl funktioniert bis auf das mit dem enter kann man das noch einbauen?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 30. Okt. 2008 10:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Neu Einsteiger 10 Unities + Antwort hilfreich

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 893
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 30. Okt. 2008 11:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Neu Einsteiger 10 Unities + Antwort hilfreich

IMHOIn my humble oppinion (Meiner Meinung nach) müßte die Abfrage von "Enter" mittels Script zu umschiffen sein...

Als Anfänger/Einsteiger empfehle ich dir, dich mit einschlägiger Literatur bzw Internetseiten zu beschäftigen...(sofern du dies noch net gemacht hast )

mfg heiko

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 30. Okt. 2008 11:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Neu Einsteiger 10 Unities + Antwort hilfreich

Ich würde gerne helfen, aber ich verstehe das Problem nicht ?
Was ist los mit welchem Enter ?

------------------
die alte SUCHfunktion.. - System-Angaben - User:FAQ(Adesk)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Neu Einsteiger
Mitglied


Sehen Sie sich das Profil von Neu Einsteiger an!   Senden Sie eine Private Message an Neu Einsteiger  Schreiben Sie einen Gästebucheintrag für Neu Einsteiger

Beiträge: 9
Registriert: 30.10.2008

erstellt am: 30. Okt. 2008 11:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

wenn ich das programm laufen lasse macht er alles

(defun auto()
(progn
  (command "_zoom")
  (command "_e")
  (command "_LTScale" 10)
  (command "_pasteclip")
  (command "0,0")
  (sssetfirst nil (ssget "_x"))(c:-overkill)  
   (progn
    (command "_layout")
    (command "_set")
    (command "Layout1")
    (command "_layout")
    (command "_set")
    (command "Modell")
   )
)
)

bis er zu dem befehl overkill kommt den muss ich mit enter in der behlszeile bestätigen was ich aber umgehen will

@dorfy danke für den rat habe mich schon mit http://www.autolisp-tutorial.mapcar.net/load.html  beschäftig und werde versuchen noch andere sachen zu finden

[Diese Nachricht wurde von Neu Einsteiger am 30. Okt. 2008 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 893
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 30. Okt. 2008 11:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Neu Einsteiger 10 Unities + Antwort hilfreich

"...Enter umgehen..."
schau dir mal Script an.(F1-Hilfe, Forum, google...)
Damit sollte es gehen.
Oder wie CADffm meint(wo er auch Recht hat), mach gleich alles mit Script.

am Rande:
kann man die command-Zeilen nicht auf eine begrenzen?
(command "_zoom" "_e" ....)
wofür das progn?
mfg heiko

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 30. Okt. 2008 12:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Neu Einsteiger 10 Unities + Antwort hilfreich

------------------------Schnipp---------------------------
;;; Merkwürdiges Script für einen merkwürdigen Vorgang ohne speichern
;;;
;;; Umgebung
_.MODEL
_.LTSCALE 10
;;;
;;; Zwischenablage einfügen
_.PASTECLIP 0,0
;;;
;;; Cleaner
_.SELECT _ALL

(C:-OVERKILL)

;;;
;;; Layout-Hick-Hack
_.LAYOUT _s Layout1
_.MODEL
;;;
;;; Umgebung
_.ZOOM _e
;;;end
------------------------Schnipp---------------------------

So würde es zB. in einem ScRipt aussehen können.

Aber so langsam würde ich echt gerne Wissen was du überhaupt vorhast,
besonders dieser Modell(?)->Layout->Modellwechsel interessiert mich.

Und: Was ist mit Layerschaltungen oder ähnlichem !?
und und und 

------------------
die alte SUCHfunktion.. - System-Angaben - User:FAQ(Adesk)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Neu Einsteiger
Mitglied


Sehen Sie sich das Profil von Neu Einsteiger an!   Senden Sie eine Private Message an Neu Einsteiger  Schreiben Sie einen Gästebucheintrag für Neu Einsteiger

Beiträge: 9
Registriert: 30.10.2008

erstellt am: 30. Okt. 2008 12:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

es is so bei uns auf der arbeit werden in eplan pläne gezeichnet und in cad eingefügt und müssen dann die schritte ausgeführt werde

raus zoomen (einfach nur wegen der besseren sicht
bild einfügen (da kommt und in die ecke ein logo von der firma die uns den auftrag gegeben hat)
skallierung (muss auf 10 gesetzt werden damit strichel linien zusehen sind)
overkill (entfernt und bilder die genau übereinander liegen)
layer wechesl (damit das modell ins layer eingetragen wird zum drucken)

verstehst du es jetzt?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 30. Okt. 2008 12:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Neu Einsteiger 10 Unities + Antwort hilfreich

Ja ich verstehe - auch gibt es ganz wunderbare Möglichkeiten
von 1-Knopfdruck-Lösungen und über die solltest Ihr mal nachdenken ..

Ein paar hundert Euro ausgeben und alles schön haben und dann
tausende Euro sparen mit der Zeit..

Oder dieses gehacke immer wieder 
Lasst Ihr pro Blatt = eine Datei !?

Für diese 1 Blatt = 1 Datei habe ich noch ein fertiges Script
glaube ich .. nur eine 1-Click-import Methode kann ich hier
nicht bieten ..

------------------
die alte SUCHfunktion.. - System-Angaben - User:FAQ(Adesk)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Neu Einsteiger
Mitglied


Sehen Sie sich das Profil von Neu Einsteiger an!   Senden Sie eine Private Message an Neu Einsteiger  Schreiben Sie einen Gästebucheintrag für Neu Einsteiger

Beiträge: 9
Registriert: 30.10.2008

erstellt am: 30. Okt. 2008 12:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

das was ich ja jetzt gemacht habe funtz ja fast so wie es sein soll blos halt diese enter

und dann wäre da noch ne andere frage nämlich geht es irgentwie das man autocad sagt es soll alle daten in eienm ordner mit dem porgramm bearbeiten?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 30. Okt. 2008 12:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Neu Einsteiger 10 Unities + Antwort hilfreich

cadwiesel.de das Programm SCC2 holen ("Scriptgenerator") oder so ähnlich.
<Anmerkung: Diese Version bearbeitet nur DWG>

Programm im SDI Modus laufen lassen, Dateiauswahl der DWG´s ..
und angabe welches Script ausgeführt werden soll !

PS: Denke dann an das _.QSAVE am Ende 


Wenn du es (für dich der einfachste Weg) so machst wie ich dir
das zeigte mit dem Script dann benötigst du nur nur am Ende
das _.QSAVE und als *.scr abspeichern und fertig.

TIP: Erstmal in Kopien.dwg testen 

EDIT: Will man das ein Lisp ausgeführt wird, muß man eben ein
dementsprechendes Script schreiben, zB. so:
--------------------schnipp----------------------
(LOAD"C:/LISP-TOOLS/MyLisp.lsp")
MyLisp
_.QSAVE
--------------------schnipp----------------------

------------------
die alte SUCHfunktion.. - System-Angaben - User:FAQ(Adesk)

[Diese Nachricht wurde von cadffm am 30. Okt. 2008 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Neu Einsteiger
Mitglied


Sehen Sie sich das Profil von Neu Einsteiger an!   Senden Sie eine Private Message an Neu Einsteiger  Schreiben Sie einen Gästebucheintrag für Neu Einsteiger

Beiträge: 9
Registriert: 30.10.2008

erstellt am: 30. Okt. 2008 12:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

vielen dank werde ich ma testen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

autocart
Mitglied
Technischer Redakteur


Sehen Sie sich das Profil von autocart an!   Senden Sie eine Private Message an autocart  Schreiben Sie einen Gästebucheintrag für autocart

Beiträge: 695
Registriert: 08.09.2003

erstellt am: 03. Nov. 2008 20:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Neu Einsteiger 10 Unities + Antwort hilfreich

Hallo Neu Einsteiger!

Also ein "ENTER" in der Kommando-Zeile ist im Skript entweder mit einem Druck auf die Enter-Taste oder einem Leerzeichen bewirkt.
Im Lisp-Code geht das mit (command ""). Nur (command) bewirkt übrigens ein Escape, soviel ich weiß.
Damit wäre das einmal erledigt.

Als Alternative zu SCC2 kann ich dir noch das "scriptpro" direkt von Autodesk anbieten. Das gibt es hier zum downloaden (für Autocad ab Version 2007 aufwärts).

Ansonsten merkt man (nicht bös gemeint), dass du "erst vor kurzem begonnen" hast, "mit autocad zu arbeiten". Daher möchte ich dir selbst und heiko/Dorfy intensiv zustimmen, was die Weiterbildung betrifft. Mit Axels/Mapcars Seiten bist du da bzgl. Lisp-Programmierung sicher am richtigen Weg. Diese Seiten gibt es übrigens inzwischen auch in Buch-Form (Titel: "Kochbuch AutoLISP - AutoCAD programmieren mit LISP").

------------------
Gruß, Stephan
www.stbartl.at

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz